from casadi import *

xyz = SX.sym('xyz',3)
x = xyz[0]
y = xyz[1]
z = xyz[2]

f = x**2 + 100 * z**2
g = z + (1 - x)**2 - y

nlp = SXFunction( nlpIn(x=xyz), nlpOut(f=f, g=g) )

solver = NlpSolver("ipopt", nlp)
#solver.setOption("hessian_approximation", "limited-memory")
solver.init()
solver.setInput([2.5, 3.0, 0.75],'x0')
solver.setInput([0],'lbg')
solver.setInput([0],'ubg')
solver.evaluate()
print solver.getOutput('x')
